Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIContextMenu

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIContextMenu

All Implemented Interfaces:
  javax.faces.component.StateHolder, MenuComponent

Direct Known Subclasses:
  ContextMenu

    public abstract class UIContextMenu

extends javax.faces.component.UIComponentBase
implements MenuComponent

Author:
  Maksim Kaszynski

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`
`static java.lang.String` | `DISABLE_DEFAULT_MENU`
`static java.lang.String` | `ON_CONTEXT_MENU`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.richfaces.component.MenuComponent
`MODE_AJAX, MODE_NONE, MODE_SERVER`

Constructor Summary
`UIContextMenu()`

Method Summary
`abstract java.lang.String` | `getAttachTiming()`
`abstract java.lang.String` | `getAttachTo()`
`abstract java.lang.String` | `getEvent()`
`abstract java.lang.Integer` | `getShowDelay()`
`abstract boolean` | `isAttached()`
`boolean` | `isDisableDefaultMenu()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`abstract void` | `setAttached(boolean b)`
`abstract void` | `setAttachTiming(java.lang.String attachTo)`
`abstract void` | `setAttachTo(java.lang.String attachTo)`
`void` | `setDisableDefaultMenu(boolean disableDefault)`
`abstract void` | `setEvent(java.lang.String event)`
`abstract void` | `setShowDelay(java.lang.Integer showDelay)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.MenuComponent
`getSubmitMode, setSubmitMode`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### ON_CONTEXT_MENU

    public static final java.lang.String ON_CONTEXT_MENU

See Also:
  Constant Field Values

### DISABLE_DEFAULT_MENU

    public static final java.lang.String DISABLE_DEFAULT_MENU

See Also:
  Constant Field Values

Constructor Detail

### UIContextMenu

    public UIContextMenu()

Method Detail

### isAttached

    public abstract boolean isAttached()

### setAttached

    public abstract void setAttached(boolean b)

### getAttachTo

    public abstract java.lang.String getAttachTo()

### setAttachTo

    public abstract void setAttachTo(java.lang.String attachTo)

### getAttachTiming

    public abstract java.lang.String getAttachTiming()

### setAttachTiming

    public abstract void setAttachTiming(java.lang.String attachTo)

### getEvent

    public abstract java.lang.String getEvent()

### setEvent

    public abstract void setEvent(java.lang.String event)

### setShowDelay

    public abstract void setShowDelay(java.lang.Integer showDelay)

### getShowDelay

    public abstract java.lang.Integer getShowDelay()

### isDisableDefaultMenu

    public boolean isDisableDefaultMenu()

### setDisableDefaultMenu

    public void setDisableDefaultMenu(boolean disableDefault)

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.